Page MenuHomePhabricator

Flow: Cancel button for moderation actions does not work in the page history
Closed, ResolvedPublic

Description

In the history of the page
When I click on an action (eg hide) which displays a window with a request to write a comment
in this window is not working cancel button
that is, you can not cancel and close the window

Event Timeline

Sunpriat created this task.Apr 2 2015, 8:35 PM
Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat updated the task description. (Show Details)
Sunpriat added a subscriber: Sunpriat.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 2 2015, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from Flow: Cancel button in the page history to Flow: Cancel button for moderation actions does not work in the page history.Apr 2 2015, 8:36 PM
Mattflaschen-WMF set Security to None.

logEvent needs to be moved from FlowBoardComponentMiscMixin.prototype.logEvent to be available with FlowBoardAndHistoryComponentBase .

"[FLOW] " "Error in component handler:" "interactiveHandler" TypeError: flowComponent.logEvent is not a function
Stack trace:
FlowBoardAndHistoryComponentBase.UI.events.interactiveHandlers.cancelForm@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:94:68
flowExecuteInteractiveHandler/<@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:84:80
.each@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150402T193436Z:5:220
flowExecuteInteractiveHandler@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:84:1
flowInteractiveHandlerCallback@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:85:68
bindFlowComponentHandlers/</<@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:77:886
emitWithReturn@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:77:509
flowComponentGetDispatchCallback/<@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:78:643
_eventForwardDispatch@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:68:1
FlowComponent.prototype.assignSpawnedNode/<@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=ext.flow%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.mediawiki.ui.modal%7Cext.flow.vendor.storer%7Cmediawiki.api.options%7Cmediawiki.template%7Cmediawiki.template.handlebars%7Cmediawiki.ui.input%7Cmoment%2Coojs&skin=vector&version=20150402T193439Z&*:67:127
jQuery.event.dispatch@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150402T193436Z:66:1
jQuery.event.add/elemData.handle@http://127.0.0.1:8080/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150402T193436Z:60:422
 Arguments { 0: Object, 1: <div.flow-ui-modal>, 2 more… } load.php:65
EBernhardson triaged this task as Unbreak Now! priority.Apr 20 2015, 5:54 PM
EBernhardson added a subscriber: EBernhardson.

Change 205449 had a related patch set uploaded (by Mattflaschen):
Fix cancel button on history page

https://gerrit.wikimedia.org/r/205449

Change 205449 merged by jenkins-bot:
Fix cancel button on history page

https://gerrit.wikimedia.org/r/205449

Change 205453 had a related patch set uploaded (by EBernhardson):
Fix cancel button on history page

https://gerrit.wikimedia.org/r/205453

Change 205453 merged by jenkins-bot:
Fix cancel button on history page

https://gerrit.wikimedia.org/r/205453

DannyH closed this task as Resolved.Apr 22 2015, 11:41 PM
DannyH added a subscriber: DannyH.

Cherrypicked & out.